Isi
Indeks 🔎︎

# Fungsi DateAdd

Menambahkan interval tanggal ke tanggal tertentu beberapa kali dan mengembalikan tanggal yang dihasilkan.

## Sintaksis:

    DateAdd (Tambah, Hitung, Tanggal)

## Nilai hasil:

Varian yang berisi tanggal.

## Parameter:

Tambah - Ekspresi string dari tabel berikut, menentukan interval tanggal.

Tambah (nilai string) | Penjelasan
yyyy | Tahun
q | Kuartal
m | Bulan
y | Hari dalam Tahun
w | Hari kerja
ww | Minggu dalam tahun
h | Hari
h | Jam
n | Menit
s | Detik

Hitung - Ekspresi numerik yang menentukan seberapa sering interval Tambah akan ditambahkan (Hitung positif) atau dikurangi (Hitung negatif).

Tanggal - Tanggal yang diberikan atau nama variabel Variant yang berisi tanggal. Nilai Tambah akan ditambahkan Hitung waktu ke nilai ini.

## Contoh:

    Sub example_dateadd
        MsgBox DateAdd("m", 1, "1/31/2004") &" - "& DateAdd("m", 1, "1/31/2005")
    End Sub